curl --request POST \
--url https://api.primeintellect.ai/api/v1/evaluations/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"team_id": "<string>",
"environments": [
{
"id": "<string>",
"version_id": "<string>"
}
],
"suite_id": "<string>",
"run_id": "<string>",
"is_hosted": false,
"inference_model": "<string>",
"eval_config": {
"num_examples": 4503599627370495,
"rollouts_per_example": 1024,
"env_args": {},
"allow_sandbox_access": true,
"allow_instances_access": false,
"allow_tunnel_access": true,
"timeout_minutes": 123,
"custom_secrets": {},
"sampling_args": {},
"max_concurrent": 4503599627370496,
"auto_max_concurrent": false,
"max_retries": 4503599627370495,
"state_columns": [
"<string>"
],
"independent_scoring": false,
"verbose": false,
"headers": [
"<string>"
],
"extra_env_kwargs": {},
"api_client_type": "<string>",
"api_base_url": "<string>",
"api_key_var": "<string>"
},
"model_name": "<string>",
"dataset": "<string>",
"framework": "<string>",
"task_type": "<string>",
"description": "<string>",
"tags": [],
"metadata": {},
"metrics": {},
"is_public": false,
"show_on_leaderboard": false
}
'import requests
url = "https://api.primeintellect.ai/api/v1/evaluations/"
payload = {
"name": "<string>",
"team_id": "<string>",
"environments": [
{
"id": "<string>",
"version_id": "<string>"
}
],
"suite_id": "<string>",
"run_id": "<string>",
"is_hosted": False,
"inference_model": "<string>",
"eval_config": {
"num_examples": 4503599627370495,
"rollouts_per_example": 1024,
"env_args": {},
"allow_sandbox_access": True,
"allow_instances_access": False,
"allow_tunnel_access": True,
"timeout_minutes": 123,
"custom_secrets": {},
"sampling_args": {},
"max_concurrent": 4503599627370496,
"auto_max_concurrent": False,
"max_retries": 4503599627370495,
"state_columns": ["<string>"],
"independent_scoring": False,
"verbose": False,
"headers": ["<string>"],
"extra_env_kwargs": {},
"api_client_type": "<string>",
"api_base_url": "<string>",
"api_key_var": "<string>"
},
"model_name": "<string>",
"dataset": "<string>",
"framework": "<string>",
"task_type": "<string>",
"description": "<string>",
"tags": [],
"metadata": {},
"metrics": {},
"is_public": False,
"show_on_leaderboard": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
team_id: '<string>',
environments: [{id: '<string>', version_id: '<string>'}],
suite_id: '<string>',
run_id: '<string>',
is_hosted: false,
inference_model: '<string>',
eval_config: {
num_examples: 4503599627370495,
rollouts_per_example: 1024,
env_args: {},
allow_sandbox_access: true,
allow_instances_access: false,
allow_tunnel_access: true,
timeout_minutes: 123,
custom_secrets: {},
sampling_args: {},
max_concurrent: 4503599627370496,
auto_max_concurrent: false,
max_retries: 4503599627370495,
state_columns: ['<string>'],
independent_scoring: false,
verbose: false,
headers: ['<string>'],
extra_env_kwargs: {},
api_client_type: '<string>',
api_base_url: '<string>',
api_key_var: '<string>'
},
model_name: '<string>',
dataset: '<string>',
framework: '<string>',
task_type: '<string>',
description: '<string>',
tags: [],
metadata: {},
metrics: {},
is_public: false,
show_on_leaderboard: false
})
};
fetch('https://api.primeintellect.ai/api/v1/evaluations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluation_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"environment_ids": [
"<string>"
],
"suite_id": "<string>",
"run_id": "<string>",
"version_id": "<string>",
"viewer_url": "<string>"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Create Evaluation
Create a new evaluation
This endpoint supports:
- Environment evaluations: Provide environments
- Prime RL evaluations: Provide run_id
- Suite evaluations: Provide suite_id
Ownership:
- If team_id is provided in request, the evaluation will be owned by the team
- Otherwise, the evaluation will be owned by the authenticated user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Request to create a new evaluation
Name of the evaluation
Team ID if creating evaluation for a team
List of environment references with optional version IDs
Show child attributes
Show child attributes
Suite ID if this evaluation is part of a suite
Run ID for Prime RL runs (optional)
Whether this is a hosted evaluation
Prime Inference model ID
Hosted evaluation configuration
Show child attributes
Show child attributes
Model name
Dataset name
Framework used (e.g., 'prime-rl', 'openai/evals')
Type of task (e.g., 'classification', 'generation')
Description of the evaluation
Tags for categorization
Additional metadata
High-level metrics summary
Whether this evaluation is publicly shareable by link
Whether this public evaluation appears on environment leaderboards
Response
Successful Response
Response after creating an evaluation
ID of the created evaluation
Evaluation status enum
PENDING, RUNNING, PROCESSING, COMPLETED, FAILED, TIMEOUT, CANCELLED Type: 'prime_rl', 'environment', or 'suite'
suite, training, environment Was this page helpful?